aboutsummaryrefslogtreecommitdiff
path: root/bin/checkdoc.sh
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <msabate@suse.com>2020-04-04 21:23:48 +0200
committerMiquel Sabaté Solà <msabate@suse.com>2020-04-04 21:23:48 +0200
commitc3551def989ca5418468b64939f991ed042eabf1 (patch)
treeeb8ff736aa3ad8c37b4f98b4713cadf3a29bb3fc /bin/checkdoc.sh
parent88866c63b18eee7a887f1d6637f78ce1671cdfe2 (diff)
downloadsoria-c3551def989ca5418468b64939f991ed042eabf1.tar.gz
soria-c3551def989ca5418468b64939f991ed042eabf1.zip
make: added a checkdoc target
The implementation is somewhat dubious, but it does the job... Signed-off-by: Miquel Sabaté Solà <msabate@suse.com>
Diffstat (limited to 'bin/checkdoc.sh')
-rwxr-xr-xbin/checkdoc.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/bin/checkdoc.sh b/bin/checkdoc.sh
new file mode 100755
index 0000000..d1a656a
--- /dev/null
+++ b/bin/checkdoc.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright (C) 2020 Miquel Sabaté Solà <mikisabate@gmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# This whole file is an utter hack to workaround some issues I've had by
+# directly evaluating Lisp code into the Makefile and then trying to make
+# something out of it. Mostly, apparently checkdoc-* functions do not emit a
+# proper exit code, and trying to get the output out of it (plus the nightmarish
+# situation with Makefile) has been impossible. Instead, we are going to do
+# everything here in good ol' bash.
+#
+# This script is expected to be called with a list of arguments which are the
+# parts of the command to be used. This command will be suffixed by this script
+# with the Lisp code.
+
+file="checkdoc.txt"
+eval "$*" "--eval '(checkdoc-file \"soria-theme.el\")'" > "$file" 2>&1
+out=$(cat ${file})
+rm "$file"
+
+if [ "${out}" != "" ]; then
+ echo "$out"
+ exit 1
+fi
+
+exit 0